Subject: [Ecrit] [Fwd: AD review of draft-ietf-ecrit-service-urn-05.txt]

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 21 Mar 2007 13:24:14 +0100

Hi all,

I am the PROTO shepherd for draft-ietf-ecrit-service-urn. You can find 
Jon's review in the attachment. Henning published a draft update. Here 
is the diff version: 
http://tools.ietf.org/wg/ecrit/draft-ietf-ecrit-service-urn/draft-ietf-ecrit-service-urn-06-from-05.diff.html

Here is the list of updates:
* Updated Registration Template
* Added introduction to the IANA Considerations section for better 
readability.
* Minor update to the introduction section

Ciao
Hannes

-------- Original Message --------
Subject: 	AD review of draft-ietf-ecrit-service-urn-05.txt
Date: 	Fri, 2 Mar 2007 06:31:11 -0500
From: 	Peterson, Jon <[email-masked]>
To: 	<[email-masked]>
CC: 	Hannes Tschofenig <[email-masked]>, Marc Linsner 
<[email-masked]>

Very nice document, in good shape.

Given that the urn-nid review was performed some time ago for the service URN, I assume that any outstanding issues from that review were already incorporated here. 

Nit in the Introduction, the first citation of the SIP reference does not coincide with the first use of the term.

Also nit in the Intro, end of the 5th to last paragraph, "Rather, protocols would carry the service URN described here, allowing universal identification." - it's unclear from the preceding paragraph what "rather" is intended to contrast.

In Section 3, I note that "Declared registrant of the namespace" is still "TBD". I assume we would make the organization the ECRIT WG and assign Henning as the responsible entity?

I think the IANA Considerations section might be a little difficult for IANA to parse. In Section 4 (before we get into the subsections), please do a sort of an overview - explicitly direct the IANA to create a new registry for "Service URN Labels" which will be initially populated with the values given in 4.4. Furthermore note that the definitions of those initially populated values are given in 4.2 and 4.3. Finally, state that the rules that are to be followed for handling new registrations in the "Service URN Labels" registry are given in Section 4.1. 

Finally, Section 4 should note that this document registers a new URN scheme and that the registration template for that scheme is given in Section 3. Again, might seem obvious, but best to be explicit.

A note on the last sentence of the Sec Cons - the threats document does in fact characterize itself as investigating threats related to the "marketing" of signals (including the service URN), not just the mapping protocol. It would be appropriate to point to [18] more generally as a source of security considerations for use of the service URN, the mapping protocol aside.

- J

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit